#1597 closed defect (fixed)

Add lchown and utimes to RTEMS

Reported by: Vinu Rajashekhar Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: chrisj@…, vinutheraj@… Blocked By:
Blocking:

Description

lchown and utimes are functions defined under POSIX, and these are missing currently in RTEMS. This patch adds these functions to RTEMS. The patch also includes new testcases for utimes, lchown and also lstat.

Attachments (1)

RTEMS-utimes-lchown.diff (50.8 KB) - added by Vinu Rajashekhar on Jun 30, 2010 at 6:57:22 PM.
git diff of the changes

Download all attachments as: .zip

Change History (6)

Changed on Jun 30, 2010 at 6:57:22 PM by Vinu Rajashekhar

Attachment: RTEMS-utimes-lchown.diff added

git diff of the changes

comment:1 Changed on Jun 30, 2010 at 6:59:42 PM by Vinu Rajashekhar

attachments.description: git diffgit diff the changes

comment:2 Changed on Jun 30, 2010 at 7:00:04 PM by Vinu Rajashekhar

attachments.description: git diff the changesgit diff of the changes

comment:3 Changed on Jun 30, 2010 at 7:01:47 PM by Vinu Rajashekhar

Cc: chrisj@… vinutheraj@… added

comment:4 Changed on Jul 1, 2010 at 4:24:19 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Committed. Thanks.

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.